use super::interface::Tokenizer;
use crate::token::Token;
use std::{iter::Peekable, str::CharIndices};

/// Consume and ignore whitespace characters (spaces, tabs, carriage returns).
pub struct Whitespace;
impl Tokenizer for Whitespace {
    fn run(
        &self,
        c: (usize, char),
        _chars: &mut Peekable<CharIndices<'_>>,
        _source: &str,
        _line: usize,
    ) -> Option<(usize, Option<Token>)> {
        match c.1 {
            ' ' | '\r' | '\t' => Some((0, None)),
            _ => None,
        }
    }
}
